php-invoker_1.1.4-3_all.deb


Advertisement

Description

php-invoker - Utility class for invoking callables with a timeout

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-invoker_1.1.4-3_all.deb
Package name php-invoker
Package version 1.1.4
Package release 3
Package architecture all
Package type deb
Category universe/php
Homepage https://github.com/sebastianbergmann/php-invoker
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.72 KB
Installed size 16.00 KB
PHP_Invoker is a utility class for invoking callables with a
timeout used by PHPUnit. PHPUnit is a unit testing suite for
the PHP language, modelled on the xUnit testing framework.

Alternatives

Package Version Architecture Repository
php-invoker_1.1.4-3_all.deb 1.1.4 all Ubuntu Universe
php-invoker - - -

Requires

Name Value
php-common -
php-timer >= 1.0.6

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-invoker_1.1.4-3_all.deb
Source Package php-invoker

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-invoker deb package:
    # sudo apt-get install php-invoker

Files

Path
/usr/share/doc/php-invoker/changelog.Debian.gz
/usr/share/doc/php-invoker/copyright
/usr/share/php/PHP/Invoker/Autoload.php
/usr/share/php/PHP/Invoker/Invoker.php
/usr/share/php/PHP/Invoker/TimeoutException.php

Changelog

2016-03-19 - David Prévot <taffit@debian.org>
php-invoker (1.1.4-3) unstable; urgency=medium
* Team upload
* Update Standards-Version to 3.9.7
* Improve homemade Autoload.php
* Rebuild with recent pkg-php-tools for the PHP 7.0 transition
2015-06-30 - David Prévot <taffit@debian.org>
php-invoker (1.1.4-2) unstable; urgency=medium
* Team upload
* Add override for php-timer
2015-06-29 - David Prévot <taffit@debian.org>
php-invoker (1.1.4-1) unstable; urgency=medium
* Team upload
[ Sebastian Bergmann ]
* Cleanup
[ Henrique Moody ]
* Update license and copyright in all files
[ David Prévot ]
* Update copyright (year)
* Adapt package to upstream clean up
2015-03-15 - David Prévot <taffit@debian.org>
php-invoker (1.1.3-1) unstable; urgency=medium
* Team upload, to experimental to respect the freeze
* Update copyright
* Adapt packaging to composer source
* Use canonical Vcs-* URLs
* Bump standards version to 3.9.6
* Add DEP-8 compliant tests
2012-05-10 - Thomas Goirand <zigo@debian.org>
php-invoker (1.1.0-1) unstable; urgency=low
* Initial release (Closes: #669914)

See Also

Package Description
php-jmespath_2.3.0-2ubuntu1_all.deb Declaratively specify how to extract elements from a JSON document
php-json-schema_5.2.6-1_all.deb implementation of JSON schema
php-json_7.2+60ubuntu1_all.deb JSON module for PHP [default]
php-kdyby-events_2.4.0-3_all.deb Events for Nette Framework
php-klogger_1.2.1-2_all.deb simple logging class
php-letodms-core_3.4.2-1_all.deb Document management system
php-letodms-lucene_1.1.1-2_all.deb Document management system - Fulltext search
php-libsodium_1.0.6-1build3_i386.deb PHP wrapper for the Sodium cryptographic library
php-libvirt-php_0.5.4-1_i386.deb libvirt bindings for PHP
php-log_1.12.9-2_all.deb Logging Framework
php-luasandbox_3.0.1-1_i386.deb PHP extension that provides a sandboxed Lua environment
php-mail-mime_1.10.2-0.1_all.deb PHP PEAR module for creating MIME messages
php-mail_1.3.0-1_all.deb Class that provides multiple interfaces for sending emails
php-mailparse_3.0.2+2.1.6-12-gae1ef14-1build2_i386.deb Email message manipulation for PHP
php-mapi_8.5.5-0ubuntu1_i386.deb Complete and feature rich groupware solution - PHP MAPI bindings
Advertisement
Advertisement